gr::radar::transpose_matrix_vcvc_impl Class Reference

`#include <transpose_matrix_vcvc_impl.h>`

Inheritance diagram for gr::radar::transpose_matrix_vcvc_impl:

## Public Member Functions

| transpose_matrix_vcvc_impl (int vlen_in, int vlen_out, std::string len_key)
| ~transpose_matrix_vcvc_impl ()
int | work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Public Attributes

int | d_vlen_in
int | d_vlen_out
std::vector< tag_t > | d_tags

## Protected Member Functions

int | calculate_output_stream_length (const gr_vector_int &ninput_items)

## Additional Inherited Members

Public Types inherited from gr::radar::transpose_matrix_vcvc
typedef std::shared_ptr< transpose_matrix_vcvc > | sptr
Static Public Member Functions inherited from gr::radar::transpose_matrix_vcvc
static sptr | make (int vlen_in, int vlen_out, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::transpose_matrix_vcvc.

## Constructor & Destructor Documentation

## transpose_matrix_vcvc_impl()

gr::radar::transpose_matrix_vcvc_impl::transpose_matrix_vcvc_impl | ( | int | vlen_in,
|  | int | vlen_out,
|  | std::string | len_key )

## ~transpose_matrix_vcvc_impl()

gr::radar::transpose_matrix_vcvc_impl::~transpose_matrix_vcvc_impl | ( |  | ) |

## Member Function Documentation

## calculate_output_stream_length()

int gr::radar::transpose_matrix_vcvc_impl::calculate_output_stream_length | ( | const gr_vector_int & | ninput_items | ) |

protected

## work()

int gr::radar::transpose_matrix_vcvc_impl::work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## d_tags

std::vector<tag_t> gr::radar::transpose_matrix_vcvc_impl::d_tags

## d_vlen_in

int gr::radar::transpose_matrix_vcvc_impl::d_vlen_in

## d_vlen_out

int gr::radar::transpose_matrix_vcvc_impl::d_vlen_out

The documentation for this class was generated from the following file:

- transpose_matrix_vcvc_impl.h